




.aside-menu {
  .menu {
    
    @include menu-link-padding-x(get($aside-config, padding-x));

    
    @include menu-link-indention(get($aside-config, menu-indention), get($aside-config, padding-x));
  }

  
  .menu-item {
    padding: 0;

    
    .menu-link {
      padding-top: 0.75rem;
      padding-bottom: 0.75rem;
    }

    
    .menu-icon {
      justify-content: flex-start;
    }
  }
}


.aside-dark {
  .hover-scroll-overlay-y {
    --scrollbar-space: 0.4rem;
    @include scrollbar-color(#3b3b64, lighten(#3b3b64, 3%));
  }

  .menu {
    .menu-item {
      .menu-section {
        color: #ffffff !important;
      }

      
      @include menu-link-default-state(#9899ac, #494b74, #9899ac, #9899ac, null);
      @include menu-link-hover-state($white, $primary, $primary, $white, #101011);
      @include menu-link-show-state($white, $primary, $primary, $white, #101011);
      @include menu-link-active-state($white, $primary, $primary, $white, #101011);
    }
  }
}


.aside-light {
  .menu {
    .menu-title {
      font-weight: 500;
    }
  }
}
